aim4.msg.udp

## Class Real2ProxyPVUpdate

- java.lang.Object
- - aim4.msg.udp.Real2ProxyMsg
  - - aim4.msg.udp.Real2ProxyPVUpdate

-     public class Real2ProxyPVUpdate
      extends Real2ProxyMsg

  A real vehicle to proxy vehicle message for PV update message.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class aim4.msg.udp.Real2ProxyMsg

      `Real2ProxyMsg.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `acceleration` The acceleration of the vehicle
    `AccelSchedule` | `accelProfile` The acceleration profile
    `double` | `heading` The direction of the vehicle
    `Point2D` | `position` The position of the vehicle, represented by the point at the center of the front of the Vehicle.
    `double` | `steeringAngle` The steering angle
    `double` | `targetVelocity` The velocity at which the driver would like to be traveling.
    `double` | `velocity` The velocity of the vehicle
    `int` | `vin` The vehicle's identification number.

    - ### Fields inherited from class aim4.msg.udp.Real2ProxyMsg

      `messageType, receivedTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Real2ProxyPVUpdate(DataInputStream dis, double receivedTime)` Create a real vehicle to proxy vehicle message for PV update message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vin

          public final int vin

      The vehicle's identification number.

    - #### position

          public final Point2D position

      The position of the vehicle, represented by the point at the center of the front of the Vehicle.

    - #### heading

          public final double heading

      The direction of the vehicle

    - #### steeringAngle

          public final double steeringAngle

      The steering angle

    - #### velocity

          public double velocity

      The velocity of the vehicle

    - #### targetVelocity

          public final double targetVelocity

      The velocity at which the driver would like to be traveling.

    - #### acceleration

          public final double acceleration

      The acceleration of the vehicle

    - #### accelProfile

          public final AccelSchedule accelProfile

      The acceleration profile

  - ### Constructor Detail

    - #### Real2ProxyPVUpdate

          public Real2ProxyPVUpdate(DataInputStream dis,
                            double receivedTime)
                             throws IOException

      Create a real vehicle to proxy vehicle message for PV update message.
      Parameters:
        `dis` - the I/O stream
        `receivedTime` - the time stamp
      Throws:
        `IOException`

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All rights reserved.